Package com.avaya.clientservices.unifiedportal

## Class UnifiedPortalResources

- java.lang.Object
- - com.avaya.clientservices.unifiedportal.UnifiedPortalResources

-     public class UnifiedPortalResources
      extends java.lang.Object

  Resources returned from the Unified Portal resource discovery. The resources are retrieved each time we call `UnifiedPortalService.getResources(com.avaya.clientservices.provider.unifiedportal.UnifiedPortalConfiguration, com.avaya.clientservices.unifiedportal.GetResourcesCompletionHandler)` api. Unified Portal Resources is used for OTT mode.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnifiedPortalResources​(java.lang.String AADSURL, int BFCPUDPMinPort, int BFCPUDPMaxPort, java.lang.String appCastURL, int appCastCheckInterval, java.util.Map<java.lang.String,​java.lang.String> extraProperties, Capability requestToJoiMeetingCapability)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAADSURL()` |
    `int` | `getAppCastCheckInterval()` |
    `java.lang.String` | `getAppCastURL()` |
    `int` | `getBFCPUDPMaxPort()` |
    `int` | `getBFCPUDPMinPort()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getExtraProperties()` |
    `Capability` | `getRequestToJoinMeetingCapability()` | Capability info indicating whether local user can request to join Meet-Me conference.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnifiedPortalResources

          public UnifiedPortalResources​(java.lang.String AADSURL,
                                        int BFCPUDPMinPort,
                                        int BFCPUDPMaxPort,
                                        java.lang.String appCastURL,
                                        int appCastCheckInterval,
                                        java.util.Map<java.lang.String,​java.lang.String> extraProperties,
                                        Capability requestToJoiMeetingCapability)

      Constructor.
      Parameters:
        `AADSURL` - the URL of Avaya Aura Device Services.
        `BFCPUDPMinPort` - the lower limit of the UDP port range to be used by BFCP signaling channel.
        `BFCPUDPMaxPort` - the upper limit of the UDP port range to be used by BFCP signaling channel.
        `appCastURL` - the URL of App Cast Service.
        `appCastCheckInterval` - The client update checking interval.
        `extraProperties` - the map of extra properties the application may be interested in.
        `requestToJoiMeetingCapability` - the capability info indicating whether local user can request to join Meet-Me conference.

  - ### Method Detail

    - #### getAADSURL

          public java.lang.String getAADSURL()

      Returns:
        URL of Avaya Aura Device Services. Shall be used to configure contact services when in Meet-me mode.

    - #### getBFCPUDPMinPort

          public int getBFCPUDPMinPort()

      Returns:
        Specifies the lower limit of the UDP port range to be used by BFCP signaling channel. Shall be used to populate BFCP configuration data when in Meet-me mode.

    - #### getBFCPUDPMaxPort

          public int getBFCPUDPMaxPort()

      Returns:
        Specifies the upper limit of the UDP port range to be used by BFCP signaling channel. Shall be used to populate BFCP configuration data when in Meet-me mode.

    - #### getAppCastURL

          public java.lang.String getAppCastURL()

      Returns:
        URL of App Cast Service. Meet-me client shall periodically check for software updates using this URL.

    - #### getAppCastCheckInterval

          public int getAppCastCheckInterval()

      Returns:
        The client update checking interval.

    - #### getExtraProperties

          public java.util.Map<java.lang.String,​java.lang.String> getExtraProperties()

      Returns:
        A map of extra properties the application may be interested in. Complex property values are JSON encoded strings.

    - #### getRequestToJoinMeetingCapability

          public Capability getRequestToJoinMeetingCapability()

      Capability info indicating whether local user can request to join Meet-Me conference. The capability returns not supported if the portal version provided in portal resource discovery older then configured minimum portal version.
      Returns:
        Request to join Meet-Me conference capability.